corda / net.corda.node.services.schema / NodeSchemaService

# NodeSchemaService

`class NodeSchemaService : SchemaService, SingletonSerializeAsToken`

Most basic implementation of SchemaService.

TODO: support loading schema options from node configuration. TODO: support configuring what schemas are to be selected for persistence. TODO: support plugins for schema version upgrading or custom mapping not supported by original QueryableState.

### Constructors

<init> | `NodeSchemaService()` Most basic implementation of SchemaService.

### Properties

schemaOptions | `val schemaOptions: Map<MappedSchema, SchemaOptions>` Options configured for this node's schemas. A missing entry for a schema implies all properties are null.

### Functions

generateMappedObject | `fun generateMappedObject(state: QueryableState, schema: MappedSchema): PersistentState` Map a state to a PersistentState for the given schema, either via direct support from the state or via custom logic in this service.
selectSchemas | `fun selectSchemas(state: QueryableState): Iterable<MappedSchema>` Given a state, select schemas to map it to that are supported by generateMappedObject and that are configured for this node.

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`